<?php


require_once("syncinclude.php");

$return=3;
if (auth())
{
	if (intval($_POST["action"]) == 1 && intval($_POST['KeyKategorieArtikel']))
	{
		$return = 0;
		$KategorieArtikel->kArtikel = intval($_POST["KeyArtikel"]);
		$KategorieArtikel->kKategorie = intval($_POST["KeyKategorie"]);
		$items_id = getFremdArtikel($KategorieArtikel->kArtikel);
		$categories_id = getFremdKategorie($KategorieArtikel->kKategorie);
		if ($items_id && $categories_id)
			eS_execute_query("insert into items_to_categories (items_id, categories_id) values ($items_id, $categories_id)");
 	}
	else
		$return=5;

	if (intval($_POST["action"]) == 3 && intval($_POST['KeyKategorieArtikel']))
	{
		$return = 0;
	}
}

echo($return);
logge($return);
?>